[tool.poetry]
name = "ptcoffee"
version = "1.0.0"
description = "E-commerce site for selling coffee and merchandise"
authors = ["Nathan Chapman <contact@nathanjchapman.com>"]
readme = "README.md"

[tool.poetry.dependencies]
python = "^3.11"
django = "^4.1.5"
celery = {extras = ["redis"], version = "^5.2.7"}
django-allauth = "^0.52.0"
django-anymail = {extras = ["mailgun"], version = "^9.0"}
django-celery-beat = "^2.4.0"
django-celery-results = "^2.4.0"
django-compressor = "^4.1"
django-filter = "^22.1"
django-measurement = "^3.2.4"
django-storages = "^1.13.2"
django-templated-email = "^3.0.1"
paypal-checkout-serversdk = "^1.0.1"
pillow = "^9.4.0"
redis = "^4.4.0"
usps-api = "^0.5"
psycopg2-binary = "^2.9.5"
gunicorn = "^20.1.0"
sentry-sdk = "^1.12.1"
django-localflavor = "^3.1"
django-analytical = "^3.1.0"
stripe = "^5.0.0"
django-debug-toolbar = "^3.8.1"
selenium = "^4.7.2"
pycodestyle = "^2.10.0"
environs = "^9.5.0"
python-dotenv = "^0.21.0"
py-moneyed = "^3.0"


[build-system]
requires = ["poetry-core"]
build-backend = "poetry.core.masonry.api"
